Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.xssf.model
Class ThemesTable

    java.lang.Object
      org.apache.poi.POIXMLDocumentPart
          org.apache.poi.xssf.model.ThemesTable

    public class ThemesTable

extends POIXMLDocumentPart

Class that represents theme of XLSX document. The theme includes specific colors and fonts.

Author:
  Petr Udalau(Petr.Udalau at exigenservices.com) - theme colors

Field Summary

Fields inherited from class org.apache.poi.POIXMLDocumentPart
`DEFAULT_XML_OPTIONS`

Constructor Summary
`ThemesTable(PackagePart part, PackageRelationship rel)`
`ThemesTable(org.openxmlformats.schemas.drawingml.x2006.main.ThemeDocument theme)`

Method Summary
`XSSFColor` | `getThemeColor(int idx)`
`void` | `inheritFromThemeAsRequired(XSSFColor color)` If the colour is based on a theme, then inherit information (currently just colours) from it as required.

Methods inherited from class org.apache.poi.POIXMLDocumentPart
`addRelation, createRelationship, createRelationship, getPackagePart, getPackageRelationship, getParent, getRelationById, getRelationId, getRelations, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ThemesTable

    public ThemesTable(PackagePart part,
                       PackageRelationship rel)
                throws java.io.IOException

Throws:
  `java.io.IOException`

### ThemesTable

    public ThemesTable(org.openxmlformats.schemas.drawingml.x2006.main.ThemeDocument theme)

Method Detail

### getThemeColor

    public XSSFColor getThemeColor(int idx)

### inheritFromThemeAsRequired

    public void inheritFromThemeAsRequired(XSSFColor color)

  If the colour is based on a theme, then inherit information (currently just colours) from it as required.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD